Lister les clients
curl --request GET \
--url https://qwoty.app/api/customers \
--header 'Authorization: <authorization>'import requests
url = "https://qwoty.app/api/customers"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://qwoty.app/api/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"name": "Acme Corporation",
"type": "company",
"segment_id": null,
"logo": null,
"id_crm": "crm_001",
"id_erp": null,
"id_accounting": null,
"contact_ids": ["a1b2c3d4-e5f6-7890-abcd-ef1234567890"],
"address_ids": ["c3d4e5f6-a7b8-9012-cdef-123456789012"],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
]
}
Clients
Lister les clients
Récupérer tous les clients de votre espace de travail
GET
/
api
/
customers
Lister les clients
Autorisation
string
requis
Token Bearer. Format :
Bearer qwoty_your_tokenExemples
curl https://qwoty.app/api/customers \
-H "Authorization: Bearer qwoty_your_token"
const response = await fetch('https://qwoty.app/api/customers', {
headers: { Authorization: 'Bearer qwoty_your_token' },
})
const data = await response.json()
import requests
response = requests.get(
'https://qwoty.app/api/customers',
headers={'Authorization': 'Bearer qwoty_your_token'},
)
data = response.json()
Réponse
boolean
true si la requête a réussiarray
Tableau d’objets client
Afficher Objet Client
Afficher Objet Client
string
UUID
string
UUID de l’espace de travail
string
Nom du client
string
company ou individualstring | null
UUID du segment
string | null
URL du logo
string | null
ID CRM externe
string | null
ID ERP externe
string | null
ID comptabilité externe
string[]
Tableau d’UUIDs de contacts liés à ce client. Utilisez
GET /api/contacts/{id} pour récupérer chaque contact.string[]
Tableau d’UUIDs d’adresses liées à ce client. Utilisez
GET /api/addresses/{id} pour récupérer chaque adresse.string
Horodatage ISO 8601
string
Horodatage ISO 8601
{
"success": true,
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"workspace_id": "706eb564-6c4a-4e18-841c-bdd79be6bca7",
"name": "Acme Corporation",
"type": "company",
"segment_id": null,
"logo": null,
"id_crm": "crm_001",
"id_erp": null,
"id_accounting": null,
"contact_ids": ["a1b2c3d4-e5f6-7890-abcd-ef1234567890"],
"address_ids": ["c3d4e5f6-a7b8-9012-cdef-123456789012"],
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
]
}
Cette page vous a-t-elle été utile ?
⌘I

